Bug 151582 - Apps run as root should use user's theme
Apps run as root should use user's theme
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-20 01:57 EST by Hesty
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 23:21:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hesty 2005-03-20 01:57:59 EST
Description of problem:
If user runs apps that needs root permission e.g. ethereal, up2date, etc, but
inside user's GUI session (KDE or Gnome), the apps use root's theme instead of
current user's theme.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Log into regular user account in runlevel 5.
2. Start application that requires root permission, e.g. ethereal, up2date,
system-config-*
3.
  
Actual results:
Application started but use root/default theme.

Expected results:
Application should use the current user's theme.

Additional info:
Please reassign if the component selected is wrong.
Comment 1 John Thacker 2006-10-29 16:19:11 EST
[Mass switching of bugs filed against FC4T3 to fc4test3 from test3]
Comment 2 Matthias Clasen 2006-11-26 23:21:58 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.